python3-petsc4py-3.7.0-3.2.x86_64.rpm


Advertisement

Description

python3-petsc4py - Python bindings for PETSc

Property Value
Distribution openSUSE Leap 42.3
Repository Science all
Package filename python3-petsc4py-3.7.0-3.2.x86_64.rpm
Package name python3-petsc4py
Package version 3.7.0
Package release 3.2
Package architecture x86_64
Package type rpm
Category Development/Languages/Python
Homepage http://jinja.pocoo.org/
License BSD-2-Clause
Maintainer -
Download size 767.02 KB
Installed size 3.39 MB
petsc4py are Python bindings for PETSc, the Portable, Extensible Toolkit for Scientific Computation.

Alternatives

Package Version Architecture Repository
python3-petsc4py - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libpetsc.so.3.7()(64bit) -
libpetsc3 >= 3.7
libpython3.4m.so.1.0()(64bit) -
python(abi) = 3.4
python3-numpy -

Provides

Name Value
PETSc.cpython-34m.so()(64bit) -
python3-petsc4py = 3.7.0-3.2
python3-petsc4py(x86-64) = 3.7.0-3.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-petsc4py-3.7.0-3.2.x86_64.rpm
Source Package python-petsc4py-3.7.0-3.2.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Leap_42.3/ science
  2. Install python3-petsc4py rpm package:
    # zypper install python3-petsc4py

Files

Path
/usr/lib64/python3.4/site-packages/petsc4py/PETSc.py
/usr/lib64/python3.4/site-packages/petsc4py/__init__.py
/usr/lib64/python3.4/site-packages/petsc4py/__main__.py
/usr/lib64/python3.4/site-packages/petsc4py-3.7.0-py3.4.egg-info/PKG-INFO
/usr/lib64/python3.4/site-packages/petsc4py-3.7.0-py3.4.egg-info/SOURCES.txt
/usr/lib64/python3.4/site-packages/petsc4py-3.7.0-py3.4.egg-info/dependency_links.txt
/usr/lib64/python3.4/site-packages/petsc4py-3.7.0-py3.4.egg-info/not-zip-safe
/usr/lib64/python3.4/site-packages/petsc4py-3.7.0-py3.4.egg-info/requires.txt
/usr/lib64/python3.4/site-packages/petsc4py-3.7.0-py3.4.egg-info/top_level.txt
/usr/lib64/python3.4/site-packages/petsc4py/__pycache__/PETSc.cpython-34.pyc
/usr/lib64/python3.4/site-packages/petsc4py/__pycache__/PETSc.cpython-34.pyo
/usr/lib64/python3.4/site-packages/petsc4py/__pycache__/__init__.cpython-34.pyc
/usr/lib64/python3.4/site-packages/petsc4py/__pycache__/__init__.cpython-34.pyo
/usr/lib64/python3.4/site-packages/petsc4py/__pycache__/__main__.cpython-34.pyc
/usr/lib64/python3.4/site-packages/petsc4py/__pycache__/__main__.cpython-34.pyo
/usr/lib64/python3.4/site-packages/petsc4py/include/
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/PETSc.pxd
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/__init__.pxd
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/__init__.pyx
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/numpy.h
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/petsc4py.PETSc.h
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/petsc4py.PETSc_api.h
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/petsc4py.h
/usr/lib64/python3.4/site-packages/petsc4py/include/petsc4py/petsc4py.i
/usr/lib64/python3.4/site-packages/petsc4py/lib/PETSc.cpython-34m.so
/usr/lib64/python3.4/site-packages/petsc4py/lib/__init__.py
/usr/lib64/python3.4/site-packages/petsc4py/lib/petsc.cfg
/usr/lib64/python3.4/site-packages/petsc4py/lib/__pycache__/__init__.cpython-34.pyc
/usr/lib64/python3.4/site-packages/petsc4py/lib/__pycache__/__init__.cpython-34.pyo
/usr/share/doc/packages/python3-petsc4py/CHANGES.rst
/usr/share/doc/packages/python3-petsc4py/DESCRIPTION.rst
/usr/share/doc/packages/python3-petsc4py/LICENSE.rst
/usr/share/doc/packages/python3-petsc4py/README.rst

Changelog

2017-09-07 - toddrme2178@gmail.com
- Implement single-spec version
2017-03-17 - kkhere.geo@gmail.com
- update to version 3.7 for petsc 3.7
2014-01-28 - kkhere.geo@gmail.com
- create separate package for serial and openmpi support
2014-01-10 - kkhere.geo@gmail.com
- update to version 3.4 to coincide with petsc
changelog available only as upstream git repo
2013-10-24 - speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
2012-09-18 - scorot@free.fr
- update petsc dir according to recent change in petsc package
2012-08-14 - scorot@free.fr
- fix build according to new petsc directory
2012-08-07 - scorot@free.fr
- first package

See Also

Package Description
python3-petsc4py-openmpi-3.7.0-3.2.x86_64.rpm Python bindings for PETSc - openmpi enabled
python3-pivy-0.6.4-15.1.x86_64.rpm Coin Binding for Python
python3-power-1.4-8.1.noarch.rpm System power status information in Python
python3-pydicom-1.2.2-19.1.noarch.rpm Pure python package for DICOM medical file reading and writing
python3-pyproj-1.9.5.1-2.3.x86_64.rpm Python interface to PROJ4 library
python3-splinter-3.0-10.2.x86_64.rpm Python3 bindings for splinter
python3-ufl-2016.2.0-1.1.noarch.rpm A domain specific language for declaration of finite element discretizations
python3-utils-2.3.0-1.1.noarch.rpm numpy-stl Supporting Utilities
python3-vtk-8.1.2-130.17.x86_64.rpm Python bindings for VTK
python3-webcolors-1.8.1-9.2.noarch.rpm Support for color names and value formats defined by the HTML
pyxplot-0.9.2-1.6.x86_64.rpm Graph plotting tool
qcas-0.5.3-2.2.x86_64.rpm Giac/Xcas Qt user interface
qcoan-2.0-1.2.x86_64.rpm Automaton and Turing Machine Simulator
qcustomplot-devel-2.0.1-10.2.x86_64.rpm Development files for QCustomPlot
qcustomplot-doc-2.0.1-10.2.noarch.rpm Documentation and examples for QCustomPlot
Advertisement
Advertisement